
(* data file d_riemsp.m *)

(* Last Updated:  27 May, 2007, 14:25 by WH at CRM *)

(* Riemann Equations in sum, s = (R+) + (R-), and product, p = (R+)(R-) *)

eq[1][x,t] = D[u[1][x, t], t] - D[u[2][x, t], x];
eq[2][x,t] = D[u[2][x, t], t] - u[1][x, t]*D[u[2][x, t], x] + 
                              u[2][x, t]*D[u[1][x, t], x];

diffFunctionListINPUT = {eq[1][x, t],eq[2][x, t]};
numDependentVariablesINPUT = 2;
independentVariableListINPUT = {x};
nameINPUT = "Riemann Equations in s = (R+)+(R-) and p = (R+)*(R-)";
noteINPUT = Null; (* The user can put any additional information about the *)
                  (* PDE here.  Information must be in quotes, "---".      *)

(**** The following input may not apply to your PDE.  If there are no    ****)
(**** parameters, an empty list, {}, must be given as input for each     ****)
(**** item.                                                              ****)
parametersINPUT = {};
weightedParametersINPUT = {};

(**** User can choose to provide this information. If the user is not    ****)
(**** providing any information, an empty list or Null, as shown here,   ****)
(**** must be given as input.  Necessary infomation will be prompted as  ****)
(**** the program runs.  If the user wishes to provide information,      ****)
(**** examples are shown below.                                          ****)

userWeightRulesINPUT = {};

(* rankRhoINPUT = Null; *)
(* explicitIndependentVariablesInDensitiesINPUT = Null; *)

formRhoINPUT = {};

(****************************************************************************)
(**** User can supply the rank for the density                           ****)

(* rankRhoINPUT = 6; *)

(****************************************************************************)
(**** The user can supply several ranks for calculating densities.  If   ****)
(**** rankRhoINPUT is set in the data file, the user should also set     ****)
(**** explicitIndependentVariablesInDensitiesINPUT to 0, 1, 2, etc. so   ****)
(**** the program will run without prompts.                              ****)

rankRhoINPUT = {1/2,1,3/2,2,5/2,3}; 

(* rankRhoINPUT = Range[2,16,2]; *)

explicitIndependentVariablesInDensitiesINPUT = 0;

(****************************************************************************)
(**** The user can designate the highest degree for any explicit         ****)
(**** independent variables allowed in density terms.  If densities      ****)
(**** without explicit independent variables are desired this setting    ****)
(**** must be 0.                                                         ****)

(* explicitIndependentVariablesInDensitiesINPUT = 2; *)
(* will develop expressions with explicit independent *)
(* variables up to degree 2. *)

(****************************************************************************)
(**** The user can give the weights of u[1] and partial t.  The program  ****)
(**** will check the weights against the scaling symmetry of the PDE.    ****)

(* userWeightRulesINPUT = {weight[u[1]] -> 1, weight[d/dt] -> 3/2}; *)

(****************************************************************************)
(**** If the user wishes to test a density, the user can supply the form ****)
(**** of the density.  This can be done as a list of terms or as an      ****)
(**** expression. Three possibilities are shown.                         ****)

(* For rank 6: Density terms can be given in a list. *)
(*
formRhoINPUT = {u[1][x,t]^3, D[u[1][x,t],x]^2};
*)

(* NOTE: Other examples shown here are for test purposes only. *)
(*
formRhoINPUT = {D[u[1][x,t],{x,4}]^2, c[1]*u[1][x,t],
               f[4]*u[1][x,t]*D[u[1][x,t],{x,3}],
               ee*D[u[1][x,t],x]^4};
*)

(* For rank 8: Density terms can be given with unknown coefficients, c[i]. *)
(*
formRhoINPUT = c[1]*u[1][x,t]^4+c[2]*u[1][x,t]*D[u[1][x,t],x]^2+
               c[3]*D[u[1][x,t],{x,2}]^2+
               c[4]*D[u[1][x,t],x]*D[u[1][x,t],{x,3}];
*)

(*
formRhoINPUT = {c[1]*u[1][x,t]^4+c[2]*u[1][x,t]*D[u[1][x,t],x]^2+
               c[3]*D[u[1][x,t],{x,2}]^2+
               c[4]*D[u[1][x,t],x]*D[u[1][x,t],{x,3}]};
*)

(*
formRhoINPUT = c[1]*u[1][x,t]^4+c[2]*u[1][x,t]*D[u[1][x,t],x]^2+
               c[3]*D[u[1][x,t],{x,2}]^2+
               c[10]*D[u[1][x,t],x]*D[u[1][x,t],{x,3}];
*)

(*
formRhoINPUT = a[1]*u[1][x,t]^4+a[2]*u[1][x,t]*D[u[1][x,t],x]^2+
               a[3]*D[u[1][x,t],{x,2}]^2+
               a[4]*D[u[1][x,t],x]*D[u[1][x,t],{x,3}];
*)

(*
formRhoINPUT = a*u[1][x,t]^4+b*u[1][x,t]*D[u[1][x,t],x]^2+
               c*D[u[1][x,t],{x,2}]^2+
               d*D[u[1][x,t],x]*D[u[1][x,t],{x,3}];
*)

(*
formRhoINPUT = u[1][x,t]^4+u[1][x,t]*D[u[1][x,t],x]^2+
               D[u[1][x,t],{x,2}]^2+
               D[u[1][x,t],x]*D[u[1][x,t],{x,3}];
*)

(*
formRhoINPUT = {u[1][x,t]^4+u[1][x,t]*D[u[1][x,t],x]^2+
               D[u[1][x,t],{x,2}]^2+
               D[u[1][x,t],x]*D[u[1][x,t],{x,3}]};
*)

(*
formRhoINPUT = u[1][x,t]^4+u[1][x,t]*D[u[1][x,t],x]^2+
               (aa+bb)*D[u[1][x,t],{x,2}]^2+
               D[u[1][x,t],x]*D[u[1][x,t],{x,3}];
*)

(* For rank 10: Density terms can be given without coefficents. *)
(*
formRhoINPUT = u[1][x,t]^5 - u[1][x,t]^2*D[u[1][x,t],x]^2 +
               u[1][x,t]*D[u[1][x,t],{x,2}]^2 - D[u[1][x,t],{x,3}]^2 +
               u[1][x,t]^3*D[u[1][x,t],{x,6}]^2
*)

(* This form does not form a density for the KdV equation. *)
(*
formRhoINPUT = D[u[1][x,t],x];
*)

(*
formRhoINPUT = c[1]*D[u[1][x,t],x];
*)

(*
formRhoINPUT = {c[1]*D[u[1][x,t],x]};
*)

(* formRhoINPUT = 0; *)

(* formRhoINPUT = {0}; *)

Clear[eq];

(* d_riemsp.m *)
(* end of file *)
