(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     83903,       2260]*)
(*NotebookOutlinePosition[     84650,       2286]*)
(*  CellTagsIndexPosition[     84606,       2282]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\( (*\ 
      Set\ the\ Directory\ where\ Mathematica\ can\ find\ your\ code . \ 
          For\ example, \
\[IndentingNewLine]SetDirectory["\<c:\\myPCdirectory\\subdirectory\>"]\ *) \)\
\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SetDirectory["\<d:\\democondens\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\democondens\\webtest"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Condens2009.m\>"]\)], "Input"],

Cell[BoxData[
    \("Loading code condens2007.m (October 3, 2007)."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]1\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("  1) KdV Equation (d_kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  2) Modified KdV Equation (d_mkdv.m)"\)], "Print"],

Cell[BoxData[
    \("  3) Fifth Order KdV Equation-parameterized (d_5kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  4) Fifth Order KdV Equation-Lax Case (d_5lax.m)"\)], "Print"],

Cell[BoxData[
    \("  5) Fifth Order KdV Equation-SK Case (d_5sk.m)"\)], "Print"],

Cell[BoxData[
    \("  6) Fifth Order KdV Equation-KK Case (d_5kk.m)"\)], "Print"],

Cell[BoxData[
    \("  7) Fifth Order KdV Equation-Ito Case (d_5ito.m)"\)], "Print"],

Cell[BoxData[
    \("  8) Seventh Order KdV Equation-parameterized (d_7kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  9) Seventh Order KdV Equation-Lax Case (d_7lax.m)"\)], "Print"],

Cell[BoxData[
    \(" 10) Seventh Order KdV Equation-SK-Ito Case (d_7ski.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]2\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \(" 11) Seventh Order KdV Equation KK Case (d_7kk.m)"\)], "Print"],

Cell[BoxData[
    \(" 12) Schamel Equation (d_scham.m)"\)], "Print"],

Cell[BoxData[
    \(" 13) Rosenau-Hyman Equation (d_roshy.m)"\)], "Print"],

Cell[BoxData[
    \(" 14) Hirota-Satsuma System-parameterized (d_phrsat.m)"\)], "Print"],

Cell[BoxData[
    \(" 15) Hirota-Satsuma System (d_hirsat.m)"\)], "Print"],

Cell[BoxData[
    \(" 16) Ito System-parameterized (d_pito.m)"\)], "Print"],

Cell[BoxData[
    \(" 17) Ito System (d_ito.m)"\)], "Print"],

Cell[BoxData[
    \(" 18) NLS System (real and imaginary parts) (d_nls.m)"\)], "Print"],

Cell[BoxData[
    \(" 19) NLS System (equation and conjugate) (d_nlsalt.m)"\)], "Print"],

Cell[BoxData[
    \(" 20) DNLS System (d_dnls.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------"\)], \
"Print"],

Cell[BoxData[
    \("Make sure that you have prepared the data file for the system"\)], \
"Print"],

Cell[BoxData[
    \("you want to test (similar to the data files we supplied)."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("        WELCOME TO THE MATHEMATICA PROGRAM               "\)], "Print"],

Cell[BoxData[
    \("         by UNAL GOKTAS and WILLY HEREMAN                "\)], "Print"],

Cell[BoxData[
    \("    FOR THE COMPUTATION OF CONSERVED DENSITIES,          "\)], "Print"],

Cell[BoxData[
    \("       FLUXES, AND COMPATIBILITY CONDITIONS              "\)], "Print"],

Cell[BoxData[
    \("            Last updated: August 5, 2009                 "\)], "Print"],

Cell[BoxData[
    \("         Previously updated: October 3, 2007             "\)], "Print"],

Cell[BoxData[
    \("           First released on May 4, 1998                 "\)], "Print"],

Cell[BoxData[
    \("                Copyright 1998-2009                      "\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the data file for the \
"\[InvisibleSpace]"Drinfel'd-Sokolov-Wilson System (parameterized)"\
\[InvisibleSpace]"."\),
      SequenceForm[ 
      "Working with the data file for the ", 
        "Drinfel'd-Sokolov-Wilson System (parameterized)", "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Equation "\[InvisibleSpace]1\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]2\[InvisibleSpace]" equation(s):"\),
      SequenceForm[ 
      "Equation ", 1, " of the system with ", 2, " equation(s):"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{"pp", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" = 0\"\>"}],
      SequenceForm[ "  ", 
        Plus[ 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ pp, 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]]], " = 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Equation "\[InvisibleSpace]2\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]2\[InvisibleSpace]" equation(s):"\),
      SequenceForm[ 
      "Equation ", 2, " of the system with ", 2, " equation(s):"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{"ss", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{"rr", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{"qq", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      
                      InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]\
x\),
                        SequenceForm[ x, x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x, x]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" = 0\"\>"}],
      SequenceForm[ "  ", 
        Plus[ 
          Times[ ss, 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          SequenceForm[ u, 
            Subscript[ 2], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ rr, 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ qq, 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]]]], " = 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The list of all parameters is "\[InvisibleSpace]{pp, 
          qq, rr, ss}\[InvisibleSpace]".          "\),
      SequenceForm[ 
      "The list of all parameters is ", {pp, qq, rr, ss}, ".          "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The software assumes that all these parameters are nonzero."\)], \
"Print"],

Cell[BoxData[
    \("Cases where parameters are set zero must be run separately."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Highest order of derivative in the system is "\
\[InvisibleSpace]3\[InvisibleSpace]"."\),
      SequenceForm[ "Highest order of derivative in the system is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Program determines the weights of the variables (and parameters)."\)], \
"Print"],

Cell[BoxData[
    \("For the given system:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of u["\[InvisibleSpace]1\[InvisibleSpace]"] \
is "\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of u[", 1, "] is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of u["\[InvisibleSpace]2\[InvisibleSpace]"] \
is "\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of u[", 2, "] is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of d/dt is "\[InvisibleSpace]3\
\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of d/dt is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The rank of rho should be an integer multiple of the lowest \
weight"\)], "Print"],

Cell[BoxData[
    \("of the DEPENDENT variable(s). Fractional weights are allowed."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of the density (and flux) of RANK = "\
\[InvisibleSpace]8\),
      SequenceForm[ "Computation of the density (and flux) of RANK = ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Starting the construction of the form of the density."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("For RANK = "\[InvisibleSpace]8\[InvisibleSpace]", \
this is the form of density rho[x,t]: "\),
      SequenceForm[ 
      "For RANK = ", 8, ", this is the form of density rho[x,t]: "],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{\(c[2]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[3]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[4]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "3"]}], "+", 
      RowBox[{\(c[5]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{\(c[6]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[7]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[12]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[8]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[9]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[10]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[11]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[13]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[14]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The highest-order of the terms in rho is "\
\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ "The highest-order of the terms in rho is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Applying the Euler operator (the variational derivative)."\)], "Print"],

Cell[BoxData[
    \("Finished with variational differentiation."\)], "Print"],

Cell[BoxData[
    \("Starting the construction of the system for the c[i]."\)], "Print"],

Cell[BoxData[
    \("Starting the first simplification of the system."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the system of the c[i] (after the first simplification):"\)], \
"Print"],

Cell[BoxData[
    \({qq\ c[2] \[Equal] 0, \((4\ rr - ss)\)\ c[2] \[Equal] 0, 
      6\ pp\ c[1] + 3\ rr\ c[3] - 2\ ss\ c[3] \[Equal] 0, 
      qq\ c[4] \[Equal] 0, 
      2\ pp\ c[2] + 2\ rr\ c[4] - 3\ ss\ c[4] \[Equal] 0, 
      pp\ c[3] + 2\ rr\ c[5] - 8\ ss\ c[5] \[Equal] 0, c[7] \[Equal] 0, 
      qq\ c[7] \[Equal] 0, 9\ qq\ c[4] - 2\ pp\ c[7] \[Equal] 0, 
      9\ qq\ c[4] - pp\ c[7] \[Equal] 
        0, \(-3\)\ qq\ c[4] + 2\ pp\ c[7] \[Equal] 0, 
      9\ qq\ c[2] + rr\ c[7] \[Equal] 
        0, \(-6\)\ qq\ c[2] - rr\ c[7] + ss\ c[7] \[Equal] 0, 
      2\ c[7] - c[8] \[Equal] 0, c[8] \[Equal] 0, qq\ c[8] \[Equal] 0, 
      3\ qq\ c[2] - rr\ c[8] \[Equal] 
        0, \(-2\)\ rr\ c[7] - 2\ rr\ c[8] - ss\ c[8] \[Equal] 
        0, \(-rr\)\ c[7] - 3\ ss\ c[7] - rr\ c[8] + ss\ c[8] \[Equal] 0, 
      12\ qq\ c[5] + pp\ c[10] \[Equal] 
        0, \(-4\)\ qq\ c[3] + 2\ pp\ c[6] + rr\ c[9] - 2\ ss\ c[10] \[Equal] 
        0, \(-12\)\ qq\ c[3] + 4\ pp\ c[6] + rr\ c[9] - 2\ ss\ c[9] - 
          2\ ss\ c[10] \[Equal] 0, 
      pp\ c[6] + rr\ c[9] + ss\ c[9] - 2\ ss\ c[10] \[Equal] 0, 
      3\ qq\ c[3] + ss\ c[10] \[Equal] 
        0, \(-6\)\ pp\ c[6] - 3\ rr\ c[9] + 2\ ss\ c[10] \[Equal] 0, 
      c[11] \[Equal] 0, \(-2\)\ pp\ c[7] - rr\ c[11] + ss\ c[11] \[Equal] 0, 
      3\ qq\ c[4] - 2\ pp\ c[7] + 2\ ss\ c[11] \[Equal] 
        0, \(-8\)\ pp\ c[7] - pp\ c[8] - 2\ rr\ c[11] + 6\ ss\ c[11] \[Equal] 
        0, \(-qq\)\ c[9] + 20\ pp\ c[12] \[Equal] 0, 
      c[13] \[Equal] 0, \(-qq\)\ c[9] + 2\ pp\ c[12] - 2\ ss\ c[14] \[Equal] 
        0, qq\ c[9] - qq\ c[10] - 5\ pp\ c[12] - rr\ c[14] + 
          ss\ c[14] \[Equal] 0, 
      3\ qq\ c[10] + 3\ rr\ c[14] + 2\ ss\ c[14] \[Equal] 0, 
      3\ qq\ c[9] + 2\ qq\ c[10] + 2\ rr\ c[14] + 8\ ss\ c[14] \[Equal] 0, 
      3\ qq\ c[9] + 8\ qq\ c[10] + 8\ rr\ c[14] + 12\ ss\ c[14] \[Equal] 
        0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]36\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 36, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the second simplification of the system."\)], "Print"],

Cell[BoxData[
    \("This is the system for the c[i] (after second simplification):"\)], \
"Print"],

Cell[BoxData[
    \({c[2] \[Equal] 0, 
      qq\ c[2] \[Equal] 0, \((4\ rr - ss)\)\ c[2] \[Equal] 0, 
      6\ pp\ c[1] + 3\ rr\ c[3] - 2\ ss\ c[3] \[Equal] 0, c[4] \[Equal] 0, 
      qq\ c[4] \[Equal] 0, 
      2\ pp\ c[2] + 2\ rr\ c[4] - 3\ ss\ c[4] \[Equal] 0, 
      pp\ c[3] + 2\ rr\ c[5] - 8\ ss\ c[5] \[Equal] 0, c[7] \[Equal] 0, 
      qq\ c[7] \[Equal] 0, 9\ qq\ c[4] - 2\ pp\ c[7] \[Equal] 0, 
      9\ qq\ c[4] - pp\ c[7] \[Equal] 
        0, \(-3\)\ qq\ c[4] + 2\ pp\ c[7] \[Equal] 0, 
      9\ qq\ c[2] + rr\ c[7] \[Equal] 
        0, \(-6\)\ qq\ c[2] - rr\ c[7] + ss\ c[7] \[Equal] 0, 
      2\ c[7] - c[8] \[Equal] 0, c[8] \[Equal] 0, qq\ c[8] \[Equal] 0, 
      3\ qq\ c[2] - rr\ c[8] \[Equal] 
        0, \(-2\)\ rr\ c[7] - 2\ rr\ c[8] - ss\ c[8] \[Equal] 
        0, \(-rr\)\ c[7] - 3\ ss\ c[7] - rr\ c[8] + ss\ c[8] \[Equal] 0, 
      12\ qq\ c[5] + pp\ c[10] \[Equal] 
        0, \(-4\)\ qq\ c[3] + 2\ pp\ c[6] + rr\ c[9] - 2\ ss\ c[10] \[Equal] 
        0, \(-12\)\ qq\ c[3] + 4\ pp\ c[6] + rr\ c[9] - 2\ ss\ c[9] - 
          2\ ss\ c[10] \[Equal] 0, 
      pp\ c[6] + rr\ c[9] + ss\ c[9] - 2\ ss\ c[10] \[Equal] 0, 
      3\ qq\ c[3] + ss\ c[10] \[Equal] 
        0, \(-6\)\ pp\ c[6] - 3\ rr\ c[9] + 2\ ss\ c[10] \[Equal] 0, 
      c[11] \[Equal] 0, \(-2\)\ pp\ c[7] - rr\ c[11] + ss\ c[11] \[Equal] 0, 
      3\ qq\ c[4] - 2\ pp\ c[7] + 2\ ss\ c[11] \[Equal] 
        0, \(-8\)\ pp\ c[7] - pp\ c[8] - 2\ rr\ c[11] + 6\ ss\ c[11] \[Equal] 
        0, \(-qq\)\ c[9] + 20\ pp\ c[12] \[Equal] 0, 
      c[13] \[Equal] 0, \(-qq\)\ c[9] + 2\ pp\ c[12] - 2\ ss\ c[14] \[Equal] 
        0, qq\ c[9] - qq\ c[10] - 5\ pp\ c[12] - rr\ c[14] + 
          ss\ c[14] \[Equal] 0, 
      3\ qq\ c[10] + 3\ rr\ c[14] + 2\ ss\ c[14] \[Equal] 0, 
      3\ qq\ c[9] + 2\ qq\ c[10] + 2\ rr\ c[14] + 8\ ss\ c[14] \[Equal] 0, 
      3\ qq\ c[9] + 8\ qq\ c[10] + 8\ rr\ c[14] + 12\ ss\ c[14] \[Equal] 
        0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]38\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 38, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system for the coefficients c[i] has \
"\[InvisibleSpace]4\[InvisibleSpace]" parameter(s)."\),
      SequenceForm[ 
      "The simplified system for the coefficients c[i] has ", 4, 
        " parameter(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The system of PDEs, rank and form of rho, the system for"\)], "Print"],

Cell[BoxData[
    \("c[i], its coefficient matrix, and the lists of unknowns and"\)], \
"Print"],

Cell[BoxData[
    \("parameters, will all be saved in the file workcond.m for"\)], "Print"],

Cell[BoxData[
    \("further analysis. For analysis use the Mathematica functions"\)], \
"Print"],

Cell[BoxData[
    \("Reduce, Solve, etc. Load the file workcond.m with the command"\)], \
"Print"],

Cell[BoxData[
    \("<<workcond.m ."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the repeated analysis and simplification of the system."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the repeated analysis and simplification of the system."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the list of c[i] that must be zero: "\)], "Print"],

Cell[BoxData[
    \({c[2] \[Equal] 0, c[4] \[Equal] 0, c[7] \[Equal] 0, c[8] \[Equal] 0, 
      c[11] \[Equal] 0, c[13] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the simplified system for the (potentially nonzero) c[i]:"\)], \
"Print"],

Cell[BoxData[
    \({6\ pp\ c[1] + 3\ rr\ c[3] - 2\ ss\ c[3] \[Equal] 0, 
      pp\ c[3] + 2\ rr\ c[5] - 8\ ss\ c[5] \[Equal] 0, 
      12\ qq\ c[5] + pp\ c[10] \[Equal] 
        0, \(-4\)\ qq\ c[3] + 2\ pp\ c[6] + rr\ c[9] - 2\ ss\ c[10] \[Equal] 
        0, \(-12\)\ qq\ c[3] + 4\ pp\ c[6] + rr\ c[9] - 2\ ss\ c[9] - 
          2\ ss\ c[10] \[Equal] 0, 
      pp\ c[6] + rr\ c[9] + ss\ c[9] - 2\ ss\ c[10] \[Equal] 0, 
      3\ qq\ c[3] + ss\ c[10] \[Equal] 
        0, \(-6\)\ pp\ c[6] - 3\ rr\ c[9] + 2\ ss\ c[10] \[Equal] 
        0, \(-qq\)\ c[9] + 20\ pp\ c[12] \[Equal] 
        0, \(-qq\)\ c[9] + 2\ pp\ c[12] - 2\ ss\ c[14] \[Equal] 0, 
      qq\ c[9] - qq\ c[10] - 5\ pp\ c[12] - rr\ c[14] + ss\ c[14] \[Equal] 0, 
      3\ qq\ c[10] + 3\ rr\ c[14] + 2\ ss\ c[14] \[Equal] 0, 
      3\ qq\ c[9] + 2\ qq\ c[10] + 2\ rr\ c[14] + 8\ ss\ c[14] \[Equal] 0, 
      3\ qq\ c[9] + 8\ qq\ c[10] + 8\ rr\ c[14] + 12\ ss\ c[14] \[Equal] 
        0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]14\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 14, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the search for compatibility conditions."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The software will assume that "\[InvisibleSpace]\(pp \
\[NotEqual] 0 && qq \[NotEqual] 0 && rr \[NotEqual] 0 && 
          ss \[NotEqual] 0\)\[InvisibleSpace]"."\),
      SequenceForm[ "The software will assume that ", 
        And[ 
          Unequal[ pp, 0], 
          Unequal[ qq, 0], 
          Unequal[ rr, 0], 
          Unequal[ ss, 0]], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Cases where one or more of these parameters are zero must be run \
separately!"\)], "Print"],

Cell[BoxData[
    \("The program will set the nonzero coefficients equal to 1, one at the \
time."\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("* Setting "\[InvisibleSpace]\(c[1] \[Rule] 
          1\)\[InvisibleSpace]":"\),
      SequenceForm[ "* Setting ", c[ 1] -> 1, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Computation of the compatibility conditions."\)], "Print"],

Cell[BoxData[
    \("This is the compatibility condition (with duplicates):"\)], "Print"],

Cell[BoxData[
    \(pp\^2\ qq\ \((rr - 2\ ss)\) \[Equal] 0 && 
      pp\ qq\^2\ \((rr - 2\ ss)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("This is the compatibility condition (without duplicates):"\)], "Print"],

Cell[BoxData[
    \(pp\^2\ qq\ \((rr - 2\ ss)\) \[Equal] 0 && 
      pp\ qq\^2\ \((rr - 2\ ss)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("For "\[InvisibleSpace]pp\[InvisibleSpace]" = "\
\[InvisibleSpace]pp\),
      SequenceForm[ "For ", pp, " = ", pp],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("For "\[InvisibleSpace]qq\[InvisibleSpace]" = "\
\[InvisibleSpace]qq\),
      SequenceForm[ "For ", qq, " = ", qq],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("For "\[InvisibleSpace]rr\[InvisibleSpace]" = "\
\[InvisibleSpace]rr\),
      SequenceForm[ "For ", rr, " = ", rr],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("For "\[InvisibleSpace]ss\[InvisibleSpace]" = "\
\[InvisibleSpace]rr\/2\),
      SequenceForm[ "For ", ss, " = ", 
        Times[ 
          Rational[ 1, 2], rr]],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{\(Solve::"svars"\), \(\(:\)\(\ \)\), "\<\"Equations may not give \
solutions for all \\\"solve\\\" variables. \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"Solve::svars\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("The solution of the system is "\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 1, c[2] \[Rule] 0, c[3] \[Rule] \(-\(\(3\ pp\)\/rr\)\), 
      c[4] \[Rule] 0, c[5] \[Rule] \(-\(\(3\ pp\^2\)\/\(2\ rr\^2\)\)\), 
      c[6] \[Rule] \(-\(\(9\ qq\)\/\(2\ rr\)\)\), c[7] \[Rule] 0, 
      c[8] \[Rule] 0, c[9] \[Rule] \(15\ pp\ qq\)\/rr\^2, 
      c[10] \[Rule] \(18\ pp\ qq\)\/rr\^2, c[11] \[Rule] 0, 
      c[12] \[Rule] \(3\ qq\^2\)\/\(4\ rr\^2\), c[13] \[Rule] 0, 
      c[14] \[Rule] \(-\(\(27\ pp\ qq\^2\)\/\(2\ rr\^3\)\)\)}\)], "Print"],

Cell[BoxData[
    \("Starting the computation of the flux."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Starting the integration of D_t(rho) with "\
\[InvisibleSpace]23\[InvisibleSpace]" terms,"\),
      SequenceForm[ 
      "Starting the integration of D_t(rho) with ", 23, " terms,"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The normalized density rho[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], "4"], "-", 
      FractionBox[
        RowBox[{"3", " ", "pp", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "2"], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], "2"]}], "rr"], "-", 
      FractionBox[
        RowBox[{"3", " ", \(pp\^2\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], "4"]}], \(2\ rr\^2\)], "-", 
      FractionBox[
        RowBox[{"9", " ", "qq", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "2"]}], \(2\ rr\)], "+", 
      FractionBox[
        RowBox[{"3", " ", \(qq\^2\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox[\(x\[InvisibleSpace]x\),
                        SequenceForm[ x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x]]],
                Editable->False], ")"}], "2"]}], \(4\ rr\^2\)], "+", 
      FractionBox[
        RowBox[{"15", " ", "pp", " ", "qq", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}]}], \(rr\^2\)], "+", 
      FractionBox[
        RowBox[{"18", " ", "pp", " ", "qq", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "2"]}], \(rr\^2\)], "-", 
      FractionBox[
        RowBox[{"27", " ", "pp", " ", \(qq\^2\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox[\(x\[InvisibleSpace]x\),
                        SequenceForm[ x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x]]],
                Editable->False], ")"}], "2"]}], \(2\ rr\^3\)]}]], "Print"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The corresponding flux j[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-pp\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"]}], "-", 
      FractionBox[
        RowBox[{"3", " ", \(pp\^2\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], "4"]}], "rr"], "+", 
      FractionBox[
        RowBox[{"15", " ", "pp", " ", "qq", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], "2"], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "2"]}], \(4\ rr\)], "+", 
      FractionBox[
        RowBox[{"18", " ", "pp", " ", "qq", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}]}], "rr"], "+", 
      FractionBox[
        RowBox[{"21", " ", "pp", " ", "qq", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "2"], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "2"]}], "rr"], "+", 
      FractionBox[
        RowBox[{"33", " ", \(pp\^2\), " ", "qq", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], "2"], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "2"]}], \(2\ rr\^2\)], "-", 
      FractionBox[
        RowBox[{"6", " ", "pp", " ", "qq", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "2"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}]}], "rr"], "-", 
      FractionBox[
        RowBox[{"6", " ", \(pp\^2\), " ", "qq", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], "3"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}]}], \(rr\^2\)], "-", 
      FractionBox[
        RowBox[{"27", " ", "pp", " ", \(qq\^2\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}]}], \(2\ rr\^2\)], "-", 
      FractionBox[
        RowBox[{"36", " ", "pp", " ", \(qq\^2\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}]}], \(rr\^2\)], "-", 
      FractionBox[
        RowBox[{"63", " ", "pp", " ", \(qq\^2\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox[\(x\[InvisibleSpace]x\),
                        SequenceForm[ x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x]]],
                Editable->False], ")"}], "2"]}], \(2\ rr\^2\)], "+", 
      FractionBox[
        RowBox[{"15", " ", "pp", " ", \(qq\^2\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}]}], \(rr\^2\)], "+", 
      FractionBox[
        RowBox[{"36", " ", "pp", " ", \(qq\^2\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}]}], \(rr\^2\)], "+", 
      FractionBox[
        RowBox[{"27", " ", "pp", " ", \(qq\^3\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      
                      InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]\
x\),
                        SequenceForm[ x, x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x, x]]],
                Editable->False], ")"}], "2"]}], \(2\ rr\^3\)], "-", 
      FractionBox[
        RowBox[{"27", " ", "pp", " ", \(qq\^3\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}]}], \(rr\^3\)]}]], "Print"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification: (rho_t + J_x) = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification: (rho_t + J_x) = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("********************* BEGIN SUMMARY *********************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Total CPU time used in the current session is "\
\[InvisibleSpace]9\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "Total CPU time used in the current session is ", 9, " seconds."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The software computed 1 density with its corresponding flux."\)], \
"Print"],

Cell[BoxData[
    \("To see a list of all the densities type: listallrhos,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallrhos]."\)], "Print"],

Cell[BoxData[
    \("To see the last density type: rho[x,t], or pdeform[rho[x,t]]."\)], \
"Print"],

Cell[BoxData[
    \("To split the last density in independent pieces type: "\)], "Print"],

Cell[BoxData[
    \("split[rho[x,t]], or split[pdeform[rho[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("To see a list of all the fluxes type: listallfluxes,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallfluxes]."\)], "Print"],

Cell[BoxData[
    \("To see the last flux type: j[x,t], or pdeform[j[x,t]]."\)], "Print"],

Cell[BoxData[
    \("To split the last flux in independent pieces type: split[j[x,t]],"\)], \
"Print"],

Cell[BoxData[
    \("or split[pdeform[j[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("********************** END SUMMARY **********************"\)], "Print"],

Cell[BoxData[
    \("Code condens2007.m (October 3, 2007) successfully loaded."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \(listallrhos\)], "Input"],

Cell[BoxData[
    \(listallfluxes\)], "Input"]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1014, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
Magnification->1.5
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 247, 5, 94, "Input"],

Cell[CellGroupData[{
Cell[2026, 60, 77, 1, 42, "Input"],
Cell[2106, 63, 60, 1, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2203, 69, 57, 1, 42, "Input"],
Cell[2263, 72, 80, 1, 35, "Print"],
Cell[2346, 75, 67, 1, 35, "Print"],
Cell[2416, 78, 216, 4, 35, "Print"],
Cell[2635, 84, 92, 1, 35, "Print"],
Cell[2730, 87, 62, 1, 35, "Print"],
Cell[2795, 90, 72, 1, 35, "Print"],
Cell[2870, 93, 89, 1, 35, "Print"],
Cell[2962, 96, 84, 1, 35, "Print"],
Cell[3049, 99, 82, 1, 35, "Print"],
Cell[3134, 102, 82, 1, 35, "Print"],
Cell[3219, 105, 84, 1, 35, "Print"],
Cell[3306, 108, 91, 1, 35, "Print"],
Cell[3400, 111, 86, 1, 35, "Print"],
Cell[3489, 114, 89, 1, 35, "Print"],
Cell[3581, 117, 49, 1, 35, "Print"],
Cell[3633, 120, 51, 1, 35, "Print"],
Cell[3687, 123, 56, 1, 35, "Print"],
Cell[3746, 126, 97, 2, 35, "Print"],
Cell[3846, 130, 216, 4, 35, "Print"],
Cell[4065, 136, 92, 1, 35, "Print"],
Cell[4160, 139, 84, 1, 35, "Print"],
Cell[4247, 142, 68, 1, 35, "Print"],
Cell[4318, 145, 74, 1, 35, "Print"],
Cell[4395, 148, 88, 1, 35, "Print"],
Cell[4486, 151, 74, 1, 35, "Print"],
Cell[4563, 154, 75, 1, 35, "Print"],
Cell[4641, 157, 60, 1, 35, "Print"],
Cell[4704, 160, 87, 1, 35, "Print"],
Cell[4794, 163, 88, 1, 35, "Print"],
Cell[4885, 166, 62, 1, 35, "Print"],
Cell[4950, 169, 49, 1, 35, "Print"],
Cell[5002, 172, 51, 1, 35, "Print"],
Cell[5056, 175, 56, 1, 35, "Print"],
Cell[5115, 178, 97, 2, 35, "Print"],
Cell[5215, 182, 98, 2, 35, "Print"],
Cell[5316, 186, 92, 1, 35, "Print"],
Cell[5411, 189, 92, 1, 35, "Print"],
Cell[5506, 192, 92, 1, 35, "Print"],
Cell[5601, 195, 92, 1, 35, "Print"],
Cell[5696, 198, 92, 1, 35, "Print"],
Cell[5791, 201, 92, 1, 35, "Print"],
Cell[5886, 204, 92, 1, 35, "Print"],
Cell[5981, 207, 92, 1, 35, "Print"],
Cell[6076, 210, 92, 1, 35, "Print"],
Cell[6171, 213, 92, 1, 35, "Print"],
Cell[6266, 216, 92, 1, 35, "Print"],
Cell[6361, 219, 334, 7, 60, "Print"],
Cell[6698, 228, 283, 5, 35, "Print"],
Cell[6984, 235, 2787, 75, 35, "Print"],
Cell[9774, 312, 283, 5, 35, "Print"],
Cell[10060, 319, 5615, 148, 35, "Print"],
Cell[15678, 469, 92, 1, 35, "Print"],
Cell[15773, 472, 276, 5, 35, "Print"],
Cell[16052, 479, 96, 2, 35, "Print"],
Cell[16151, 483, 96, 2, 35, "Print"],
Cell[16250, 487, 92, 1, 35, "Print"],
Cell[16345, 490, 240, 4, 35, "Print"],
Cell[16588, 496, 102, 2, 35, "Print"],
Cell[16693, 500, 56, 1, 35, "Print"],
Cell[16752, 503, 232, 4, 35, "Print"],
Cell[16987, 509, 232, 4, 35, "Print"],
Cell[17222, 515, 190, 4, 35, "Print"],
Cell[17415, 521, 103, 2, 35, "Print"],
Cell[17521, 525, 98, 2, 35, "Print"],
Cell[17622, 529, 92, 1, 35, "Print"],
Cell[17717, 532, 221, 4, 35, "Print"],
Cell[17941, 538, 88, 1, 35, "Print"],
Cell[18032, 541, 257, 5, 35, "Print"],
Cell[18292, 548, 16113, 429, 115, "Print"],
Cell[34408, 979, 232, 4, 35, "Print"],
Cell[34643, 985, 92, 1, 35, "Print"],
Cell[34738, 988, 77, 1, 35, "Print"],
Cell[34818, 991, 88, 1, 35, "Print"],
Cell[34909, 994, 83, 1, 35, "Print"],
Cell[34995, 997, 92, 1, 35, "Print"],
Cell[35090, 1000, 101, 2, 35, "Print"],
Cell[35194, 1004, 1884, 32, 410, "Print"],
Cell[37081, 1038, 224, 4, 35, "Print"],
Cell[37308, 1044, 92, 1, 35, "Print"],
Cell[37403, 1047, 84, 1, 35, "Print"],
Cell[37490, 1050, 99, 2, 35, "Print"],
Cell[37592, 1054, 1925, 33, 435, "Print"],
Cell[39520, 1089, 224, 4, 35, "Print"],
Cell[39747, 1095, 296, 6, 35, "Print"],
Cell[40046, 1103, 91, 1, 35, "Print"],
Cell[40140, 1106, 96, 2, 35, "Print"],
Cell[40239, 1110, 91, 1, 35, "Print"],
Cell[40333, 1113, 97, 2, 35, "Print"],
Cell[40433, 1117, 98, 2, 35, "Print"],
Cell[40534, 1121, 49, 1, 35, "Print"],
Cell[40586, 1124, 92, 1, 35, "Print"],
Cell[40681, 1127, 101, 2, 35, "Print"],
Cell[40785, 1131, 92, 1, 35, "Print"],
Cell[40880, 1134, 101, 2, 35, "Print"],
Cell[40984, 1138, 92, 1, 35, "Print"],
Cell[41079, 1141, 79, 1, 35, "Print"],
Cell[41161, 1144, 144, 2, 35, "Print"],
Cell[41308, 1148, 92, 1, 35, "Print"],
Cell[41403, 1151, 102, 2, 35, "Print"],
Cell[41508, 1155, 961, 16, 260, "Print"],
Cell[42472, 1173, 224, 4, 35, "Print"],
Cell[42699, 1179, 92, 1, 35, "Print"],
Cell[42794, 1182, 84, 1, 35, "Print"],
Cell[42881, 1185, 424, 10, 35, "Print"],
Cell[43308, 1197, 113, 2, 35, "Print"],
Cell[43424, 1201, 111, 2, 35, "Print"],
Cell[43538, 1205, 92, 1, 35, "Print"],
Cell[43633, 1208, 205, 4, 35, "Print"],
Cell[43841, 1214, 79, 1, 35, "Print"],
Cell[43923, 1217, 89, 1, 35, "Print"],
Cell[44015, 1220, 120, 2, 37, "Print"],
Cell[44138, 1224, 92, 1, 35, "Print"],
Cell[44233, 1227, 120, 2, 37, "Print"],
Cell[44356, 1231, 187, 4, 35, "Print"],
Cell[44546, 1237, 187, 4, 35, "Print"],
Cell[44736, 1243, 187, 4, 35, "Print"],
Cell[44926, 1249, 235, 6, 48, "Print"],
Cell[45164, 1257, 298, 4, 32, "Message"],
Cell[45465, 1263, 65, 1, 35, "Print"],
Cell[45533, 1266, 491, 7, 154, "Print"],
Cell[46027, 1275, 72, 1, 35, "Print"],
Cell[46102, 1278, 255, 5, 35, "Print"],
Cell[46360, 1285, 92, 1, 35, "Print"],
Cell[46455, 1288, 70, 1, 35, "Print"],
Cell[46528, 1291, 8900, 224, 111, "Print"],
Cell[55431, 1517, 75, 1, 35, "Print"],
Cell[55509, 1520, 92, 1, 35, "Print"],
Cell[55604, 1523, 68, 1, 35, "Print"],
Cell[55675, 1526, 26055, 655, 270, "Print"],
Cell[81733, 2183, 75, 1, 35, "Print"],
Cell[81811, 2186, 92, 1, 35, "Print"],
Cell[81906, 2189, 223, 4, 35, "Print"],
Cell[82132, 2195, 92, 1, 35, "Print"],
Cell[82227, 2198, 92, 1, 35, "Print"],
Cell[82322, 2201, 265, 5, 35, "Print"],
Cell[82590, 2208, 97, 2, 35, "Print"],
Cell[82690, 2212, 88, 1, 35, "Print"],
Cell[82781, 2215, 59, 1, 35, "Print"],
Cell[82843, 2218, 98, 2, 35, "Print"],
Cell[82944, 2222, 89, 1, 35, "Print"],
Cell[83036, 2225, 80, 1, 35, "Print"],
Cell[83119, 2228, 87, 1, 35, "Print"],
Cell[83209, 2231, 61, 1, 35, "Print"],
Cell[83273, 2234, 89, 1, 35, "Print"],
Cell[83365, 2237, 102, 2, 35, "Print"],
Cell[83470, 2241, 61, 1, 35, "Print"],
Cell[83534, 2244, 92, 1, 35, "Print"],
Cell[83629, 2247, 92, 1, 35, "Print"],
Cell[83724, 2250, 67, 1, 35, "Print"]
}, Open  ]],
Cell[83806, 2254, 44, 1, 42, "Input"],
Cell[83853, 2257, 46, 1, 42, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

